Name: jakarta-commons-graph
Version: 0.8.1
Release: alt0.1

Summary: Commons Graph Package

Group: Development/Java
License: Apache Software License
Url: http://cvs.apache.org/viewcvs/jakarta-commons-sandbox/graph2/
Source0: graph2-0.8.1.cvs20040118.tar.bz2

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit jdepend jakarta-commons-collections log4j xml-commons-apis
Requires: jdepend jakarta-commons-collections log4j xml-commons-apis

BuildArch: noarch

%description
Jakarta Graph is a toolkit for managing graphs and graph based data structures.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name

%prep
%setup -q -n graph2-0.8.1.cvs20040118

%build
%set_classpath %_javadir/jdepend.jar
%add_classpath %_javadir/jakarta-commons-collections.jar
%add_classpath %_javadir/log4j.jar
%add_classpath %_javadir/xml-commons-apis.jar

CLASSPATH=target/classes:target/test-classes:%_classpath
%ant_build -Dbuild.sysclasspath=only dist

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name}
%__install -m 644 dist/*.jar %buildroot%_javadir/%name.jar
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc LICENSE.txt
%_javadir/*.jar

%files javadoc
%_javadocdir/%name

%changelog
* Tue May 03 2005 Vladimir Lettiev <crux@altlinux.ru> 0.8.1-alt0.1
- Rebuilt for ALT Linux Sisyphus
- spec cleanup

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:0.8.2.cvs20040118-4jpp
- Rebuild with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8.2.cvs20040118-3jpp
- Void change

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.8.2.cvs20040118-2jpp
- Upgrade to Ant 1.6.X

* Mon Jan 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8.2.cvs20040118-1jpp
- First JPackage release.
